@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@300&family=Satisfy&display=swap');

.aher {
    text-decoration: underline !important;
    color: #fff;
}
.super-cadeau{
    border-radius: 5px;
    background-color: #187bb2;
color: #fff;
padding: 5%;
}
body {
    background-image: url("../img/background.png");
    background-position: center center;
    background-repeat: no-repeat, repeat;
    background-size: cover;
    background-attachment: fixed;
    position: relative;
}
@media (max-width: 550px) {

    footer p {
        background-color: #187bb2;
        position: absolute;
    }
    }
.finiss{
    width: 30px;
}
.redirect {
    background-color: #fdc41f !important;
}
body {
    display: flex;
    /* width: 100%; */
    flex-direction: column;
    justify-content: space-between;
}
.segment-7 img{
    width: 50px;
}
html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}
footer {
    background-color: #187bb2;
    text-align: center;
    z-index: -999;
    margin-top: 20px;
}
footer p {
    padding: 0 !important;
    margin: 0 !important;
    color: #fff;
}
footer p > a {
    color: #fff;
}
.p-img{
    margin-bottom: 0 !important;
    margin-top: 2%;
}
a {
    text-decoration: transparent;
}

.btn {
    width: auto;
    font-family: 'League Spartan', sans-serif;
    color: #FFFFFF;
    padding-left: 35px !important;
    padding-right: 35px !important;
    border-radius: 5px;
    background-color: #187bb2;
    padding: 5px;
}

#retour {
    display: none;
}


.yel1{
    font-weight: bold;
    font-size: 2rem;
  }

.gauche {
    margin-left: -10%;
}

.im {
    width: 150px
}

.pictos {
    text-align: center;
    width: 70%;
    margin: 0 auto;
    border: 2px solid #fff;
    border-radius: 5px;
    margin-bottom: 2% !important;
}

.bien {
    margin-bottom: 0.4%;
    font-size: 40px;
    /*font-family: 'Satisfy', cursive;*/
    font-weight: bold;
}

header {
    text-align: right;
}

.logo {
    width: 250px;
    margin: 2%;
}

.tous {
    padding-top: 5%;
    background-color: #e3e9ede0;
    margin: 5% 15%;
}


/*.background{
    padding-top: 5%;
}

.background {*/


/*  background-image: url("../img/background.png");*/


/*  background-position: center top;*/


/*  background-repeat: no-repeat, repeat;*/


/*  background-size: cover;*/


/*}*/


/*header {*/


/*  height: 500px;*/


/*  background-image: url("../img/header_jeux.png");*/


/*  background-size: cover;*/


/*}*/
.saviez {
    font-family: 'League Spartan', sans-serif;
    font-size: 1.7rem;
    font-weight: bold;
}
@font-face {
    font-family: "GrandHotel-Regular";
    src: url("../fonts/GrandHotel-Regular.ttf");
}

@font-face {
    font-family: "Gotham Narrow Book";
    src: url("../fonts/Gotham Narrow Book.otf");
}

@font-face {
    font-family: "GlacialIndifference-Regular";
    src: url("../fonts/GlacialIndifference-Regular.otf");
}
.fins {
    border: 2px solid;
    cursor: pointer;
    margin: 2%;
}
.fins:hover {
    color: white;
}
.venez,
.votre,
.veuillez,
.tit {
    font-weight: bold;
    font-family: 'League Spartan', sans-serif;
}

p {
    font-family: 'League Spartan', sans-serif;
}
h3{
    font-weight: bold;
}
#test {
    font-family: 'League Spartan', sans-serif;
    font-size: 1.5rem !important;
    font-weight: 500;
    color: #fff;
}

svg:not(:root) {
    margin-left: 5%;
    margin-top: 1%;
    color: white !important;
}

.lance {
    font-family: 'League Spartan', sans-serif;
    color: #fff;
    font-weight: bold;
    padding-top: 2%;
}

.tit {
    color: #187bb2 !important;
}

#myP {
    display: none;
}

.heade {
    text-align: initial;
    background-color: rgb(223, 26, 147);
}

.cont1 {
    margin: 0 auto !important;
    margin-bottom: 80px !important;
    margin-top: 30px !important;
    position: relative;
    height: 350px;
    width: 300px;
}

.perdu-super {
    margin-top: 100px;
    display: inline-block;
}

.result-wrapper {
    display: none;
    position: relative;
    width: 200px;
    display: inline-block;
}


/*button {
  position: absolute;*/


/* bottom: 0;
  left: 0;
  width: 100px; 
}*/

button#reset {
    left: 200px;
}

.title {
    font-family: sans-serif;
}

.arrow {
    width: 0;
    height: 0;
    border-bottom: 30px solid #187bb2;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
}

#result {
    width: 200px;
}

.backdrop {
    border: 5px solid red;
    position: absolute;
    background: #FFE8BF;
    height: 300px;
    width: 300px;
    border-radius: 50%;
}

.backdrop.animate {
    -webkit-transition: all 5s ease-in-out;
    -moz-transition: all 5s ease-in-out;
    -o-transition: all 5s ease-in-out;
    transition: all 5s ease-in-out;
}

.backdrop .segment {
    position: absolute;
    height: 100%;
    width: 2px;
    background: red;
    left: 50%;
}

.backdrop .segment.segment-1 i,
.backdrop .segment.segment-2 i,
.backdrop .segment.segment-3 i,
.backdrop .segment.segment-4 i,
.backdrop .segment.segment-5 i,
.backdrop .segment.segment-6 i,
.backdrop .segment.segment-7 i,
.backdrop .segment.segment-8 i {
    display: block;
    margin-top: 50px;
    margin-left: 30px;
    transform: rotate(20deg);
}

.backdrop .segment.segment-1 img {
    margin-top: 14px;
    margin-left: 0px;
    width: 80px;
    transform: rotate(196deg);
}

.backdrop .segment.segment-2 img {
    margin-top: 25px;
    margin-left: 0px;
    width: 70px;
    transform: rotate(187deg);
}

.backdrop .segment.segment-3 img {
    margin-top: 25px;
    margin-left: 9px;
    width: 60px;
    transform: rotate(177deg);
}

.backdrop .segment.segment-4 img {
        margin-top: 30px;
    margin-left: 0px;
    width: 80px;
    transform: rotate(300deg);
}

.backdrop .segment.segment-5 img {
    margin-top: 15px;
    width: 80px;
    margin-left: 0px;
    transform: rotate(192deg);
}

.backdrop .segment.segment-6 img {
        margin-top: 35px;
    width: 90px;
    margin-left: -5px;
    transform: rotate(140deg);
}

.backdrop .segment.segment-7 img {
    margin-top: 25px;
    width: 60px;
    margin-left: 5px;
    transform: rotate(160deg);
}

.backdrop .segment.segment-8 img {
    margin-top: 35px;
    margin-left: 10px;
    width: 60px;
    transform: rotate(109deg);
}

.backdrop .segment.segment-5 {
    transform: rotate(135deg);
}


/* .backdrop .segment.segment-5:after {
} */

.backdrop .segment.segment-6 {
    transform: rotate(180deg);
}


/* .backdrop .segment.segment-6:after {
  content: "6";
} */

.backdrop .segment.segment-7 {
    transform: rotate(225deg);
}


/* .backdrop .segment.segment-7:after {
  content: "7";
} */

.backdrop .segment.segment-8 {
    transform: rotate(270deg);
}


/* .backdrop .segment.segment-8:after {
  content: "8";
} */

.backdrop .segment.segment-1 {
    transform: rotate(315deg);
}


/* .backdrop .segment.segment-1:after {
  content: "1";
} */

.backdrop .segment.segment-2 {
    transform: rotate(360deg);
}


/* .backdrop .segment.segment-2:after {
  content: "2";
} */

.backdrop .segment.segment-3 {
    transform: rotate(45deg);
}


/* .backdrop .segment.segment-3:after {
  content: "3";
} */

.backdrop .segment.segment-4 {
    transform: rotate(90deg);
}


/* .backdrop .segment.segment-4:after {
  content: "4";
} */


/*
@media (max-width: 30em) { 
    .result-wrapper{
        display: inline-block !important;
    }
 }*/

 .lancerr{
    width: 30px;
    margin-right: 10px;
    margin-left: 5px;
 }

 .fins:hover{
    border: 2px solid;

    background-color: #fff;
    color: #187bb2;
    font-weight: 600;
}

#spin:hover{
    background-color: #fff;
    color: #187bb2;
    font-weight: 600;
}

#spin {
    border: 2px solid #fff;
    cursor: pointer;
    font-family: 'League Spartan', sans-serif;
    bottom: -32px;
    left: 100px;
    width: auto;
    padding-left: 15px;
    position: absolute;
    background-color: #187bb2;
    border-radius: 5px;
    color: white;
    font-size: larger;
}


/******************************TANGUY***************/

.flipswitch {
    position: relative;
    background: white;
    width: 50px;
    height: 20px;
    -webkit-appearance: initial;
    border-radius: 3px;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    outline: none;
    font-size: 10px;
    font-family: Trebuchet, Arial, sans-serif;
    font-weight: bold;
    cursor: pointer;
    border: 1px solid #ddd;
}

.flipswitch:after {
    position: absolute;
    top: 5%;
    display: block;
    width: 45%;
    height: 90%;
    background: #fff;
    box-sizing: border-box;
    text-align: center;
    transition: all 0.3s ease-in 0s;
    color: black;
    border: #888 1px solid;
    border-radius: 3px;
}

.flipswitch:after {
    left: 2%;
    content: "";
    background: #187bb2;
    color: #fff;
    border: 1px solid #187bb2;
}

#globalBg {
    width: 90%;
    text-align: center;
    opacity: 1;
    padding-bottom: 5%;
    border-radius: 15px;
}

.flipswitch:checked:after {
    left: 53%;
    content: "";
    background: green;
    color: #fff;
    border: 1px solid green;
}

.form-control {
    padding: 0 !important;
    width: 300px !important;
    margin: 0 auto;
}

label {
    font-family: 'League Spartan', sans-serif;
    cursor: pointer;
}

.form-control {
    font-family: 'League Spartan', sans-serif;
    text-align: center;
    border: 5px double #fff !important;
    border-radius: 25px !important;
}

.bout {
    color: #cf066a;
    border: 5px double;
    border-radius: 10px;
    background-color: #fff;
}

#jouerDebut {
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.bull1 {
    background-color: #187bb2;
    border-radius: 10px;
    color: white;
}

.bull2 {
    background-color: #187bb2;
    margin-top: -30%;
    border-radius: 10px;
    border-radius: 6px;
    color: white;
}

.transs {
    font-weight: bold;
    font-family: 'League Spartan', sans-serif;
    color: #fff;
    padding: 20px;
}

#formulaireDebut {
    border-radius: 6px;
    color: white;
}

.formulaire {
    justify-content: center;
    margin: 0 auto;
}

#skip {
    font-family: 'League Spartan', sans-serif;
    color: #FFFFFF;
    border: 2px solid #fff;
    padding-left: 35px !important;
    padding-right: 35px !important;
    border-radius: 5px;
    padding: 5px;
    background-color: #187bb2;
}

.ski:hover{
    background-color: #FFE8BF;
    color: #187bb2;
}


.ski {
    margin-bottom: 2%;
    font-family: 'League Spartan', sans-serif;
    color: #FFFFFF;
    padding: 5px 35px;
    border-radius: 5px;
    border: none;
    background-color: #187bb2;
}

#jouer {
    margin-top: 5%;
    background-color: white !important;
    border: solid 1px white;
    border-radius: 5px;
}

.choix {
    width: 250px;
    padding: 15px !important;
    background-color: rgb(122, 38, 104) !important;
}

.info {
    color: white;
}

#messages {
    color: #fff;
    font-size: 1.5rem;
    font-family: 'League Spartan', sans-serif;
    padding: 2%;
}

#gagneSuperCadeau {
    background-color: #eb21bf;
    padding-left: 35px;
    padding-right: 35px;
    border-radius: 25px;
}

#gagnevalid {
    background-color: #eb21bf;
    padding-left: 35px;
    padding-right: 35px;
    border-radius: 25px;
}

#hideFinal {
    border-radius: 10px;
    background-color: #187bb2;
}

.joyeux {
    color: #187bb2;
    margin-top: -5%;
    width: 90%;
}


.pictos div p {
    color: #187bb2 !important;
}

.pictos {
    width: 70%;
    margin: 0 auto;
}

@media (max-width: 750px) {
    .bien{
        font-size: 35px;
    }
    .transs{
        font-size: 1.5rem;
    }

}
    @media (max-width: 450px) {
    .p-img{
        margin-top: 0;
    }
    .joyeux{
        margin-top: 0;
        text-align: center;
    }
    .bien{
        margin-top: 5%;
    }
    .gauche {
        margin-left: 0;
    }
    #globalBg {
        margin-top: 10%;
        width: 100%;
    }
    .tous {
        padding-top: 0 !important;
        margin: 0 auto;
    }
    .pictos {
        display: flex ;
        flex-direction: column;

    }
     
    .form-control {
        width: 100% !important;
    }
    #globalBg {
        margin-top: 10%;
        height: auto;
    }
    .cont {
        margin-top: 20px;
    }
    #divCheckBox {
        margin-top: 5%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #sousDivCheckBox {
        width: 100%;
    }
    .flipswitch {
        width: 40px;
    }
    #champForm {
        display: flex;
        flex-direction: column;
    }
    .transs {
        padding-top: 5%;
    }
}

@media (min-width: 450px) and (max-width: 650px) {
    
    .form-control {
        width: 200px !important;
    }
    #globalBg {
        height: auto;
    }
    #divCheckBox {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #sousDivCheckBox {
        width: 100%;
    }
    .flipswitch {
        width: 40px;
    }
    #champForm {
        display: flex;
        flex-direction: column;
    }
}

@media (min-width: 650px) and (max-width: 800px) {
    
    .form-control {
        width: 200px !important;
    }
    #globalBg {
        height: auto;
    }
    #divCheckBox {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    #sousDivCheckBox {
        width: 100%;
    }
    .flipswitch {
        width: 40px;
    }
    #champForm {
        display: flex;
        flex-direction: column;
    }
}